	ABS
	ORG		0
* TEST OF LOADER CARD 1 FUNCTIONS
* USING BIT SWITCHES FOR DSW + FOR COLUMN DATA
* THIS PROG. IS IDENTICAL TO CARD 1 FROM 1D TO 4C
* EXCEPT FOR XIO COMMANDS.
START	LD		RDIN+1		SET UP I/O CONT. COMMANDS
	SRA		4
	EOR		RDSW+1
	STO		RDIN+1
	STO		RDSW+1
	LD		SENSE+1		MAKE UP STORE LONG
	SRA		1
	EOR		STORE
	STO		STORE
	LD		CHKSM		MAKE UP ADDR. FOR STO LONG
	SRA		8
	EOR		STORE+1
	STO		STORE+1
	MDX		SRTRD
	DC		0
	DC		0
	DC		0
	DC		0
	DC		0
	DC		0
	DC		0
	DC		0
	DC		0
	DC
	DC
	DC
	DC
	DC
	DC		0
ENDCK	MDX		SRTRD
CHKSM	DC		/B800
K0800	DC		/0800
K8003	DC		/8003
K8000	DC		/8000
K0001	DC		/0001
	DC		/0000
RDIN	DC		/0000		RD SWS. INTO LOCS. 0 OR 1
	DC		/A000		/3A00 SET BY PROGRAM
RDSW	DC		SENSE		RD SWS. INTO LOCS. SENSE
	DC		/3000		/3A00 SET BY PROGRAM
SENSE	DC		/0004		SENSE DSW CONTROL COMMAND
	DC		/2808
COUNT	DC		/0000
ERROR	EOR		K0800		RESTORE ACC. TO DSW
	WAIT		-10	      **ERR. STOP DSW NOT RIGHT
SRTRD	WAIT		/6		TO LOOP, REPLACE WAIT
	XIO		RDSW		READ SWITCHES INTO SENSE
	LD		SENSE		LOAD BIT SWS. INTO ACC.
	EOR		K8003		CHECK BITS 0,14+15 ONLY
	BSC		Z		SKIP IF BITS 0,14+15 ONLY
	MDX		CONT1		CONTINUE DSW ANALYSIS
	XIO		RDIN		READ BIT SWITCHES INTO 0,1
	LD		RDIN
	EOR		K0001		SWITCH READ IN AREA, EVEN
	STO		RDIN		    TIMES IN 0 ODD IN 1
	BSC		Z		 SKIP 2 WOD READ
	MDX		SRTRD
	LD		START		GET FIRST WORD
	SRA		8		SHIFT IT
	EOR		START+1		EOR WITH SECOND WORD
STORE	DC		/C004		STORE LONG AT 4D
	DC		/00F5		   SET UP BY PROG.
	LD		STORE+1
	A		K0001+1		DUMMY MODIFY OF STO L
	STO		STORE+1
	MDX		SRTRD
CONT1	EOR		K8000		CHECK FRO BITS 14+15 ONLY
	BSC		Z		SKIP BUSY AND NOT READ
	MDX		CONT2
	MDX		SRTRD
CONT2	LD		SENSE		BIT SWS. LOADED TO ACC.
	EOR		K0800		CHECK FOR BIT 4 ONLY
	BSC		Z		SKIP END OF CARD
	MDX		ERROR
	LD		COUNT		COUNT PASSES
	A		K0001
	MDX		SRTRD
	DC		0
	DC		/2000		HEXIDECIMAL NUMBER 0
	DC		/0008		HEXIDECIMAL NUMBER 6
	END		0

